version: "3.9"

services:
  nginx:
    image: nginx:latest
    ports:
      - "3000:80"
    volumes:
      - ./nginx.conf:/etc/nginx/nginx.conf:ro
    depends_on:
      - frontend
      - backend
    restart: always

  frontend:
    image: git.aranroig.com/syndria98/dragonroll-frontend:latest
    restart: always

  backend:
    image: git.aranroig.com/syndria98/dragonroll-backend:latest
    restart: always